Форум русскоязычного сообщества Ubuntu


Автор Тема: Обновление с предустановленной 12.04 до 14.04  (Прочитано 1635 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн demkov

  • Автор темы
  • Старожил
  • *
  • Сообщений: 2756
  • Юрист
    • Просмотр профиля
    • Контекстная реклама в MMGP
Привет, ребят, пишу вам с новенького Dell Inspiron 15 (3521-8485), Core i3 и Intel HD 4000, предустановленная Ubuntu 12.04.

Есть проблема. При попытке установить на 12.04 бета-браузер яндекса пишет что требуется версия одного из пакетов зависимостей выше чем у меня есть. Ну ладно думаю, на то она и бета. Однако хром требует то же самое.

Обновил 12.04 (просто обновил). При обновлении ядра ошибка, перезагружаю, мигает экран и не включается.
Восстановил с GRUB, заводом оставлен в грубе образ восстановления.

Выскакивает окошко с предложением обновиться до 14.04. Обновляюсь, при установке ядра ошибка. Опять после ребута мигает и не включается. Восстановил.

Вручную сделал dist-upgrade.
Вот конец вывода:
Распаковывается замена для пакета ubuntuone-installer ...
Обрабатываются триггеры для ureadahead ...
Обрабатываются триггеры для doc-base ...
Обработка 6 изменённых файлов doc-base...
Обрабатываются триггеры для install-info ...
Обрабатываются триггеры для desktop-file-utils ...
Обрабатываются триггеры для gnome-menus ...
Обрабатываются триггеры для hicolor-icon-theme ...
Обрабатываются триггеры для shared-mime-info ...
Обрабатываются триггеры для gconf2 ...
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/linux-firmware_1.79.18_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Ноут не перезагружаю, так как уйдёт опять в тик и придётся всё восстанавливать.
вывод uname -a
Linux bp-Inspiron-3521 3.2.0-39-generic #62-Ubuntu SMP Thu Feb 28 00:28:53 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
Подскажите, как исправить?
Для вебмастеров: CPC-реклама на MMGP-проектах!

Оффлайн maks05

  • Старожил
  • *
  • Сообщений: 6210
    • Просмотр профиля
Re: Обновление с предустановленной 12.04 до 14.04
« Ответ #1 : 24 Декабрь 2014, 02:53:33 »
Обходной вариант: установить 14.04 "с нуля". Только при разметке и установке не сотрите раздел восстановления.
А вообще, можно сидеть и на 12.04, так как она тоже LTS и поддержка у неё ещё до апреля 2017 г. Ну а программы, в любом случае, лучше устанавливать через подключение их репозиториев. Для большинства программ есть ppa для 12.04.

Оффлайн demkov

  • Автор темы
  • Старожил
  • *
  • Сообщений: 2756
  • Юрист
    • Просмотр профиля
    • Контекстная реклама в MMGP
Re: Обновление с предустановленной 12.04 до 14.04
« Ответ #2 : 25 Декабрь 2014, 01:37:22 »
немного оффтопа: вспоминаю, как радовался обнаружению ноутбуков в магазинах с предустановленной Ubuntu. А сейчас понял что всё это фикция, мало кто из новичков справится с системой, на которую из коробки нельзя ставить браузер. И принятие приглашения обновить систему оборачивается её неработоспособностью.
Поэтому даже менеджера при покупке несколько раз предупреждают, здесь Linux, поэтому Windows надо будет устанавливать самостоятельно.

Цитировать
Обходной вариант: установить 14.04 "с нуля". Только при разметке и установке не сотрите раздел восстановления.
Спасибо за ответ, он здесь за сутки единственный.
Однако в этом случае теряется вообще вся польза от предустановленной Ubuntu. См. выше :-)

Пользователь решил продолжить мысль 25 Декабрь 2014, 01:39:21:
в отзывах на Я.Маркете кто-то писал что при обращении в техподдержку Dell, вместо решения проблемы советуют установить Windows.
Космонавт как-то не так договорился. Думаю, ожидалось совершенно другое.
« Последнее редактирование: 25 Декабрь 2014, 01:39:21 от forekko »
Для вебмастеров: CPC-реклама на MMGP-проектах!

Онлайн san-alex

  • Заслуженный пользователь
  • Почётный модератор
  • Старожил
  • *
  • Сообщений: 7703
  • CNC programmer
    • Просмотр профиля
Re: Обновление с предустановленной 12.04 до 14.04
« Ответ #3 : 25 Декабрь 2014, 02:00:26 »
Ядрышко не совсем от 14.04
Цитировать
3.2.0-39-generic
Видимо, инженеры Делл свою сборку сделали...
(Нажмите, чтобы показать/скрыть)
Нужна ваша помощь в написании нового Руководства для новичков.

Оффлайн demkov

  • Автор темы
  • Старожил
  • *
  • Сообщений: 2756
  • Юрист
    • Просмотр профиля
    • Контекстная реклама в MMGP
Re: Обновление с предустановленной 12.04 до 14.04
« Ответ #4 : 25 Декабрь 2014, 02:09:29 »
Как с этим ядрышком бороться?
Я.браузер привычнее, более плотно интегрирован с российскими сервисами. Раньше отказывался от него из-за проблем с Google Docs, сейчас всё ровно.
Да и вот тему создал, может не будет больше этого вашего Хрома, АХАХАХА
Для вебмастеров: CPC-реклама на MMGP-проектах!

Оффлайн norbert

  • Новичок
  • *
  • Сообщений: 28
    • Просмотр профиля
Re: Обновление с предустановленной 12.04 до 14.04
« Ответ #5 : 26 Декабрь 2014, 10:34:31 »
А apt-get install -f не пробовали?

Я вчера успешно поставил Google Chrome под Ubuntu 12.04.5 google.com/chrome. Не было никаких проблем с зависимостями.

Оффлайн demkov

  • Автор темы
  • Старожил
  • *
  • Сообщений: 2756
  • Юрист
    • Просмотр профиля
    • Контекстная реклама в MMGP
Re: Обновление с предустановленной 12.04 до 14.04
« Ответ #6 : 26 Декабрь 2014, 21:16:27 »
А apt-get install -f не пробовали?
пробовал, ошибка не исчезает и не даёт провести команду даже с -f
Для вебмастеров: CPC-реклама на MMGP-проектах!

Оффлайн alsoijw

  • Старожил
  • *
  • Сообщений: 4073
  • Fedora 25 GNOME 3 amd64
    • Просмотр профиля
Re: Обновление с предустановленной 12.04 до 14.04
« Ответ #7 : 26 Декабрь 2014, 21:43:06 »
forekko, вывод uname на 12.04?
Мало видеть нам начало - надо видеть и конец. Если видишь ты создание - значит где-то есть ТВОРЕЦ
Многие жалуются: геометрия в жизни не пригодилась. Ямб от хорея им приходится отличать ежедневно?

Оффлайн mmfaddeev

  • Активист
  • *
  • Сообщений: 583
    • Просмотр профиля
Re: Обновление с предустановленной 12.04 до 14.04
« Ответ #8 : 26 Декабрь 2014, 21:43:57 »
Сталкивался я с проблемой невозможности обновления в 12.04  ядра 3.2 через несколько версий (с 32 до 60 или около того) . Выдавало ошибку и блокировало установку-обновление всего. Что-то перелопатили в районе матра 2013 года.

М.б., вместо обновления ядра 3.2 попробовать на свежевосстановленной системе перейти на одну из следующих версий (3.5, 3.8, 3.11), потом удалить 3.2 и только после этого попробовать обновить систему? Нет, не выйдет, будет выдавать ту же ошибку.

М.б., попробовать установить систему с этого образа ---http://linux.dell.com/files/ubuntu/precise/12.04-OSP1/dell-12.04.2_20130822_0809.iso.
Там ядро уже семейства 3.5 и обновление должно пройти.
« Последнее редактирование: 27 Декабрь 2014, 15:45:49 от mmfaddeev »

Оффлайн norbert

  • Новичок
  • *
  • Сообщений: 28
    • Просмотр профиля
Re: Обновление с предустановленной 12.04 до 14.04
« Ответ #9 : 26 Декабрь 2014, 21:46:53 »
У меня еще мысль появилась - а что если запустить aptitude (поставить если ее нет).
Aptitude иногда решает весьма сложные ситуации. При наличии проблем она пишет о них красным и предлагает решения.

Оффлайн demkov

  • Автор темы
  • Старожил
  • *
  • Сообщений: 2756
  • Юрист
    • Просмотр профиля
    • Контекстная реклама в MMGP
Re: Обновление с предустановленной 12.04 до 14.04
« Ответ #10 : 27 Декабрь 2014, 02:20:40 »
Цитировать
вывод uname на 12.04?
она самая

Готов пойти на эксперимент.
TeamViewer на линукс есть? Кто хочет пойти добровольцем, устроить сеанс связи и побороть ошибку?
(Нажмите, чтобы показать/скрыть)
Для вебмастеров: CPC-реклама на MMGP-проектах!

Оффлайн alsoijw

  • Старожил
  • *
  • Сообщений: 4073
  • Fedora 25 GNOME 3 amd64
    • Просмотр профиля
Re: Обновление с предустановленной 12.04 до 14.04
« Ответ #11 : 28 Декабрь 2014, 10:23:37 »
forekko, скачай 14.04 и поставь, не задев область восстановления. Будут проблемы - скажешь. Это самый простой способ
Мало видеть нам начало - надо видеть и конец. Если видишь ты создание - значит где-то есть ТВОРЕЦ
Многие жалуются: геометрия в жизни не пригодилась. Ямб от хорея им приходится отличать ежедневно?

Оффлайн norbert

  • Новичок
  • *
  • Сообщений: 28
    • Просмотр профиля
Re: Обновление с предустановленной 12.04 до 14.04
« Ответ #12 : 28 Декабрь 2014, 12:04:07 »
Alsoijw,
лечение всех проблем переустановкой обычно подходит для закрытой непонятной винды, а в этом случае можно еще побиться на мой взгляд. За 10 лет в линуксе не было у меня ни одной ситуации когда только переустановкой можно было решить проблему. Остается еще chroot как возможный способ.

Forekko, я так и не понял, вы попробовали aptitude или нет? Еще иногда помогает команда sudo dpkg --configure -a.
« Последнее редактирование: 28 Декабрь 2014, 20:53:15 от norbert »

 

Страница сгенерирована за 0.062 секунд. Запросов: 24.